<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbDomainTldTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_domain_tld', function(Blueprint $table)
		{
			$table->foreign('registrar_plugin_id', 'fk_ht_hrp')->references('id')->on('ab_domain_registrar')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_domain_tld', function(Blueprint $table)
		{
			$table->dropForeign('fk_ht_hrp');
		});
	}

}
